'This file is designed to be GlobalExecute'd into the master script
'It contains DiGLE-specific variables and code
'It comes nearly straight out of "DiGLE-0.1.1.zip" (ns-integ.vbs); very little is different.
'If you plan to use this with JiGLE, look at
'	http://www2.musatcha.com/musatcha/computers/software/gpsd/
'Or you can try out Musatcha's new WiFi Mapping utility
'	http://www2.musatcha.com/musatcha/computers/software/wifimapping/
' (but you won't need ns-integ.vbs, that's here).

'######################################################################
'Global variables to be used
'######################################################################
const strLatKey = "HKCU\Volatile Environment\DiGLELatitude"
const strLonKey = "HKCU\Volatile Environment\DiGLELongitude"
const strAltKey = "HKCU\Volatile Environment\DiGLEAltitude"
const strSpeedKey = "HKCU\Volatile Environment\DiGLESpeedKnots"
const strFoundNewKey = "HKCU\Volatile Environment\DiGLELastFndNew"
const strSeenBeforeKey = "HKCU\Volatile Environment\DiGLELastSeenBefore"
const strLostContactKey = "HKCU\Volatile Environment\DiGLELastLostContact"
const strBestSNRKey = "HKCU\Volatile Environment\DiGLELastBestSNR"



'######################################################################
Sub OnScanCompleteDiGLE(FoundNew, SeenBefore, LostContact, BestSNR)
'######################################################################
	WSH.RegWrite strFoundNewKey,  FoundNew, "REG_SZ"
	WSH.RegWrite strSeenBeforeKey, SeenBefore, "REG_SZ"
	WSH.RegWrite strLostContactKey, LostContact, "REG_SZ"
	WSH.RegWrite strBestSNRKey, BestSNR, "REG_SZ"
End Sub



'######################################################################
Sub OnGPSNoneDiGLE
'######################################################################
    'Receives calls from OnGPSTimeout and OnGPSNoFix
	WSH.RegWrite strLatKey, "0.00", "REG_SZ"
	WSH.RegWrite strLonKey, "0.00", "REG_SZ"
	WSH.RegWrite strAltKey, "0.00", "REG_SZ"
	WSH.RegWrite strSpeedKey, "0.00", "REG_SZ"
End Sub



'######################################################################
' Called when GPS reports position.
Sub OnGPSPositionDiGLE (Lat, Lon, Alt)
'######################################################################
	WSH.RegWrite strLatKey, Lat, "REG_SZ"
	WSH.RegWrite strLonKey, Lon, "REG_SZ"
	WSH.RegWrite strAltKey, Alt, "REG_SZ"
End Sub



'######################################################################
Sub OnGPSSpeedDiGLE (Speed)
'######################################################################
	WSH.RegWrite strSpeedKey, Speed, "REG_SZ"
End Sub



'Stuff for the future:

'######################################################################
'GPSS:
'######################################################################
'  GPSS wants to see a $GPRMC string in its installed directory:
'$GPRMC,HHMMSS,[AV],DDMM.MMM,[NS],DDDMM.MMMM,[EW],XX.XX,XXX.X,DDMMYY,XX.X,[EW],*XX
'     UTCtime A=good,V=bad  Lat        Long     kph dir(0-359.9) UTCdate magoffset, cksum
'NS writes $GPRMC to GPSS.LLD then writes anything to GPSS.LLF, waits for .LLF to disappear
'GPSS waits for GPSS.LLF to appear, then reads GPSS.LLD, then deletes GPSS.LLF

'######################################################################
'OziExplorer
'######################################################################
'  Posted an ActiveX object suitable for scripting, but nobody is interested in it

